{% extends "base.html" %}
{% load  markup %}
{% block page_name %}{{ summit.title }} {{ TRACK_DISPLAY_NAME_PLURAL }}{%endblock %}
{% block sub_nav %}{% endblock %}

{% block content %}
    <div class="row">
        <div class="span-12">
            <h1>{{ summit.title }} {{ TRACK_DISPLAY_NAME_PLURAL }}</h1>
        </div>
    </div>

    {% for track in summit.track_set.all %}
        {% if forloop.counter == 1 %}
            <div class="row row-full-grey first">
                <div class="clearfix">
        {% endif %}
        {% if forloop.counter|divisibleby:"4" %}
            <div class="span-3 last">
        {% else %}
            <div class="span-3">
        {% endif %}

        <h3><a href="/{{ summit.name }}/track/{{ track.slug|lower }}">{{ track.title }}</a></h3>
        <p>{{ track.description|markdown:'safe' }}</p>
        {% if track.lead_set %}
            Lead: {% for lead in track.lead_set.all %}
                <a href="http://launchpad.net/~{{ lead.lead.user.username }}">{{ lead.lead.name }}</a>{% if not forloop.last %},{% endif %}{% endfor %}
        {% endif %}
        </div>
        
        {% if forloop.counter|divisibleby:"4" %}
            </div>
            </div>
            {% if forloop.revcounter <= 4 %}
    <div class="row row-full-grey last">
                <div class="clearfix">
{% else %}
            <div class="row row-full-grey">
                <div class="clearfix">
        {% endif %}{% endif %}
        {% if forloop.last %}
            </div>
            </div>
        {% endif %}
    {% endfor %}
{% endblock %}
